Technical FAQs

Ask a Question

eSight 2016.2 Supported OS and SQL version

What Operating system and SQL version is supported for eSight 2016.2

Product Line
eSight PowerLogic Tenant Meter BillPro

System requirement
Supported Operating System and SQL Server

It is recommend using SQL Server Standard/Express 2008 R2, 2012, and 2014 (The more recent the better). As for OS: Windows Server 2008 R2, 2012, Windows 7 and Windows 8/8.1 

eSight has been, still is and will carry on evolving with time and is keeping up-to-date with Microsoft software releases. 

Consequently, to support the latest version 2016.2, SQL Server 2014 Express will be deployed during the installation/upgrade. The implications are that:

  • Just like Microsoft, any SQL Server 2005 version will no longer be supported.
  • The way forward would be to upgrade your SQL Express platform along with your eSight product

The prerequisite for upgrading SQL Server 2005 Express via eSight installer is to have the latest service pack – which is SP4 – installed. Without the latter, any subsequent upgrade will fail.


  • eSight installer will not upgrade SQL 2005 Enterprise/Standard/Workgroup edition platform. We would suggest performing your system upgrade at your own convenience.
  • As always, we would strongly recommend taking a backup of your database before undertaking any changes to your database and/or database platform.
Was this helpful?
What can we do to improve the information ?